FreeMat

- Main Page
- Related Pages

vtkImageMaskBits

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageMaskBits applies a bit-mask pattern to each component. The bit-mask can be applied using a variety of boolean bitwise operators.

To create an instance of class vtkImageMaskBits, simply invoke its constructor as follows

      obj = vtkImageMaskBits

# Methods

The class vtkImageMaskBits has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageMaskBits class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageMaskBits = obj.NewInstance ()`
- `vtkImageMaskBits = obj.SafeDownCast (vtkObject o)`
- `obj.SetMasks (int , int , int , int )` - Set/Get the bit-masks. Default is 0xffffffff.
- `obj.SetMasks (int a[4])` - Set/Get the bit-masks. Default is 0xffffffff.
- `obj.SetMask (int mask)` - Set/Get the bit-masks. Default is 0xffffffff.
- `obj.SetMasks (int mask1, int mask2)` - Set/Get the bit-masks. Default is 0xffffffff.
- `obj.SetMasks (int mask1, int mask2, int mask3)` - Set/Get the bit-masks. Default is 0xffffffff.
- `int = obj. GetMasks ()` - Set/Get the bit-masks. Default is 0xffffffff.
- `obj.SetOperation (int )` - Set/Get the boolean operator. Default is AND.
- `int = obj.GetOperation ()` - Set/Get the boolean operator. Default is AND.
- `obj.SetOperationToAnd ()` - Set/Get the boolean operator. Default is AND.
- `obj.SetOperationToOr ()` - Set/Get the boolean operator. Default is AND.
- `obj.SetOperationToXor ()` - Set/Get the boolean operator. Default is AND.
- `obj.SetOperationToNand ()` - Set/Get the boolean operator. Default is AND.
- `obj.SetOperationToNor ()` - Set/Get the boolean operator. Default is AND.